Bug 58156 - gnome-print/libgnomeprint15 circular deps
gnome-print/libgnomeprint15 circular deps
Product: Red Hat Linux
Classification: Retired
Component: gnome-print (Show other bugs)
ia64 Linux
medium Severity low
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2002-01-10 07:08 EST by LENHOF
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-02-26 15:10:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description LENHOF 2002-01-10 07:08:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; SunOS 5.8 sun4u)

Description of problem:
It seems that there's a loop dependancies between gnome print and libgnome-print

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Get the all redhat 7.2 from ftp.redhat.com
Try making ISO cds....

[root@cli70bk anaconda-runtime]# ./genhdlist /root/mnt/integration_JYL/IA64/7.2/ 
[root@cli70bk anaconda-runtime]# PYTHONPATH=/usr/lib/anaconda ./pkgorder
/root/mnt/integration_JYL/IA64/7.2/ ia64 > PKGORDER
warning: LOOP:
warning: removing libgnomeprint15-0.29-6 "Requires: gnome-print >= 0.29" from
tsort relations.
warning:     libgnomeprint15-0.29-6                   Requires: gnome-print >=
warning:     gnome-print-0.29-6                       PreReq: libgnomeprint15 =
[root@cli70bk anaconda-runtime]#

Additional info:
Comment 1 Havoc Pennington 2002-03-08 16:26:04 EST
Should be fixed in gnome-print 0.35

Note You need to log in before you can comment on or make changes to this bug.